import { getGenres } from "app/lib/get";
import StoryForm from "app/ui/forms/story";
import prisma from "app/lib/db";
export default async function Page() {
	const genres = await getGenres()
	async function createStory(data) {
		"use server"
		const res = await prisma.story.create({
			data: {
				title: data.title,
				word_count: data.word_count
			}
		})
		console.log(res)
		// const genres = await prisma.story.update({
		// 	where: { id: res.id },
		// 	data:{
		// 	genres:{set:[{id:1},{id:2}]}
		// 	}
		// })
	}
	return <StoryForm genres={genres} createStory={createStory} />
}
